Name:		enblend
Version:	4.1.2
Release:	%mkrel 2
Summary:	Tool for compositing images
Source0:	http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
Patch0:		enblend-enfuse-4.1.1-texinfo.patch
License:	GPLv2+
Group:		Graphics/Photography
Url:		http://enblend.sourceforge.net
BuildRequires:	tiff-devel
BuildRequires:	glew-devel
BuildRequires:	freeglut-devel
BuildRequires:	mesaglu-devel
BuildRequires:	lcms-devel
BuildRequires:	png-devel
BuildRequires:	plotutils-devel
BuildRequires:	boost-devel
BuildRequires:	vigra-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gnuplot
BuildRequires:	help2man
BuildRequires:	imagemagick
BuildRequires:	texinfo
BuildRequires:	ghostscript
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	libxml2-utils
Provides:	enfuse = %{version}-%{release}

%description
Enblend is a tool for compositing images. Given a set of images that overlap 
in some irregular way, Enblend overlays them in such a way that the seam 
between the images is invisible, or at least very difficult to see.

%prep 
%setup -q -n enblend-enfuse-%{version}
%apply_patches
%{__sed} -i -e 's/src:://g;s/CFG::/CFG_/g' doc/*.texi doc/define2set.pl configure.in

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse
%{_infodir}/*.info.*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.1.2-2.mga4
+ Revision: 541361
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 4.1.2-1.mga4
+ Revision: 495678
- 4.1.2

* Sat Aug 17 2013 fwang <fwang> 4.1.1-1.mga4
+ Revision: 467106
- add more patches
- add patch from pld-linux to fix build against new texinfo
- new version 4.1.1

* Wed Jul 24 2013 sander85 <sander85> 4.1-7.mga4
+ Revision: 457702
- Rebuild for new glew

* Thu Jul 11 2013 fwang <fwang> 4.1-6.mga4
+ Revision: 452797
- rebuild for new boost
- fix br
- add more br on ghostscript

* Wed Apr 10 2013 malo <malo> 4.1-4.mga3
+ Revision: 409443
- rebuild for boost 1.53

* Wed Feb 20 2013 barjac <barjac> 4.1-3.mga3
+ Revision: 399574
- missing BR libxml2-utils
- spec clean
- include info files in package

* Fri Jan 11 2013 umeabot <umeabot> 4.1-2.mga3
+ Revision: 349660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 4.1-1.mga3
+ Revision: 336274
- do not package info files
- 4.1
- add several needed or possibly useful buildrequires
- drop patches for libpng, fixed upstream

* Sun Dec 25 2011 fwang <fwang> 4.0-3.mga2
+ Revision: 187370
- rebuild for new libtiff

* Wed Sep 14 2011 fwang <fwang> 4.0-2.mga2
+ Revision: 143311
- br glu
- br boost
- add br
- drop req
- add gentoo patches to fix libpng building

* Fri Feb 18 2011 mikala <mikala> 4.0-1.mga1
+ Revision: 53573
- Fix files list
- Update to 4.0
- add plotutils-devel as BR (libxmi support is now provided by plotutils)
- drop patch0
- remove mdk macros
- remove buildroot
- imported package enblend


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2-3mdv2011.0
+ Revision: 610361
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 3.2-2mdv2009.1
+ Revision: 350332
- 2009.1 rebuild

* Thu Sep 11 2008 Funda Wang <fwang@mandriva.org> 3.2-1mdv2009.0
+ Revision: 283661
- New version 3.2 final
- add ilmbase-devel BR

* Sun Jul 20 2008 Frederic Crozat <fcrozat@mandriva.com> 3.1-0.20080528.2mdv2009.0
+ Revision: 239187
- Patch0: fix CXX flags used
- Disable GPU support when building for 2008.1 or older

* Wed May 28 2008 Nicholas Brown <nickbrown@mandriva.org> 3.1-0.20080528.1mdv2009.0
+ Revision: 212655
- cvs snapshot of 3.1
  remove patch merged upstream
  fix build dependancies for x86_64
  package enfuse
- New version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.5-2mdv2008.1
+ Revision: 170813
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.5-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 13 2005 Lenny Cartier <lenny@mandriva.com> 2.5-1mdk
- 2.5

* Mon Dec 05 2005 Lenny Cartier <lenny@mandriva.com> 2.4-1mdk
- 2.4

* Mon Apr 18 2005 Lenny Cartier <lenny@mandriva.com> 2.3-1mdk
- 2.3

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 2.1-1mdk
- 2.1
- Update url
- Drop patch0

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-2mdk 
- Couriousous <couriousous@zarb.org> :
 - Added multilayer tiff support

* Wed Jun 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-1mdk
- contributed by Couriousous <couriousous@sceen.net>

